Index: tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at
===================================================================
--- tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at	(revision d50b9151219b75020931486afa73b2b92312849b)
+++ tests/GuiChecks/Bond/SetDegree/testsuite-bond-set-degree_multiple.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -0,0 +1,63 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2016 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### set degree
+
+AT_SETUP([Bond - changing multiple degrees])
+AT_KEYWORDS([bond set-bond-degree])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing multiple degrees with Undo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms undo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --undo --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree1.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+
+AT_SETUP([Bond - changing multiple degrees with Redo])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms redo])
+file=test_multiple.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --undo --redo --saturate-atoms --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff -I '.*reated by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Bond/SetDegree/post/test_multiple_degree2.pdb], 0, [ignore], [ignore])
+AT_CLEANUP
+
+AT_SETUP([Bond - changing multiple degrees, not all have bonds])
+AT_KEYWORDS([bond set-bond-degree saturate-atoms])
+file=test_multiple_fail.pdb
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Bond/SetDegree/pre/$file $file], 0, [ignore], [ignore])
+AT_CHECK([chmod +w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file --select-all-atoms --set-bond-degree 2 --no-dry-run --store-session session-bond-set-degree_multiple.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-bond-set-degree_multiple.py >session-bond-set-degree_multiple_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-bond-set-degree_multiple_new.py], 5, [ignore], [ignore])
+AT_CLEANUP
